[SCM] purpose packaging branch, master, updated. e2185d27b201118c03149cca147f685d2ad42d2c
Maximiliano Curia
maxy at moszumanska.debian.org
Thu Jun 2 17:53:32 UTC 2016
Gitweb-URL: http://git.debian.org/?p=pkg-kde/frameworks/purpose.git;a=commitdiff;h=2b1a97e
The following commit has been merged in the master branch:
commit 2b1a97eb5bad67cd678ab4dd87d939d3f5ef8f7d
Author: Maximiliano Curia <maxy at gnuservers.com.ar>
Date: Thu Jun 2 19:12:38 2016 +0200
Update tests
---
debian/libkf5purpose-dev.acc.in | 22 ++++++++++++++++++++++
debian/tests/acc | 18 ++++++++++++++++++
debian/tests/control | 4 ++++
debian/tests/testsuite | 0
4 files changed, 44 insertions(+)
diff --git a/debian/libkf5purpose-dev.acc.in b/debian/libkf5purpose-dev.acc.in
new file mode 100644
index 0000000..cc0bb7f
--- /dev/null
+++ b/debian/libkf5purpose-dev.acc.in
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="utf-8"?>
+<descriptor>
+
+<version>
+ 1.1.0
+</version>
+
+<headers>
+ /usr/include/KF5/Purpose/
+ /usr/include/KF5/purpose/
+</headers>
+
+<libs>
+ /usr/lib/@@DEB_HOST_MULTIARCH@@/libKF5Purpose.so
+</libs>
+
+<gcc_options>
+ -fPIC
+ -std=c++11
+</gcc_options>
+
+</descriptor>
diff --git a/debian/tests/acc b/debian/tests/acc
new file mode 100755
index 0000000..4251c76
--- /dev/null
+++ b/debian/tests/acc
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+DEB_HOST_MULTIARCH=$(dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+for in_file in debian/*.acc.in; do
+ out_file=${in_file%.in}
+ sed 's/@@DEB_HOST_MULTIARCH@@/'"${DEB_HOST_MULTIARCH}"'/' \
+ "${in_file}" > "${out_file}"
+done
+
+DH_VERBOSE=1
+
+dh_acc
+ret=$?
+if [ 0 -ne $ret ] && [ -n "$ADT_ARTIFACTS" ]; then
+ cp -r logs "$ADT_ARTIFACTS"/acc.logs
+fi
+exit $ret
diff --git a/debian/tests/control b/debian/tests/control
index 8947f26..b9cb811 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -2,3 +2,7 @@ Tests: testsuite
Depends: @, @builddeps@, build-essential,
xvfb, xauth, dbus-x11, openbox
Restrictions: build-needed
+
+Tests: acc
+Depends: @, dh-acc, exuberant-ctags
+Restrictions: allow-stderr
diff --git a/debian/tests/testsuite b/debian/tests/testsuite
old mode 100644
new mode 100755
--
purpose packaging
More information about the pkg-kde-commits
mailing list